#ifndef _NZG_IDS
#define _NZG_IDS 1

#include "libnazgul.h"
#include "nzg_ids.h"

int msgSpaceIdIntern(msgSpaceId dest,const msgSpaceId src ){
  if (strlen(src)>MSGSPACE_ID_LEN){
	return -1;
  }
  /* sprintf(resNzgId,"/tmp/.nzg-%s",(char *)spaceId); */
#ifdef _NZG_REALFILEID
  sprintf(dest,"/tmp/nzgSpace%s",(char *)src);
#else
  sprintf(dest,"/nzgSpace%s",(char *)src);
#endif
  return 0;
}
int msgPoolDataTabSemIdIntern(
	msgPoolSemId destSemId,
	const msgSpaceId externId){
  if (strlen(externId)>MSGSPACE_ID_LEN*4){
	return -1;
  }
  /* sprintf(resNzgId,"/tmp/.nzg-%s",(char *)spaceId); */
#ifdef _NZG_REALFILEID
  sprintf(destSemId,"/tmp/nzgPoolDTSem-%s",(char *)externId);
#else
  sprintf(destSemId,"/nzgPoolDTSem-%s",(char *)externId);
#endif
  return 0;
}
int msgPoolSemIdIntern(
	msgPoolSemId destSemId,
	const msgSpaceId srcPoolId,
	int poolIdx){
  if (strlen(srcPoolId)>MSGSPACE_ID_LEN*4){
	return -1;
  }
  /* sprintf(resNzgId,"/tmp/.nzg-%s",(char *)spaceId); */
#ifdef _NZG_REALFILEID
  sprintf(destSemId,"/tmp/nzgPoolSem-%s-%d",(char *)srcPoolId,poolIdx);
#else
  sprintf(destSemId,"/nzgPoolSem-%s-%d",(char *)srcPoolId,poolIdx);
#endif
  return 0;
}

int msgPoolDataIdIntern(msgPoolDataTabId dest,const msgSpaceId src ){
  if (strlen(src)>MSGSPACE_ID_LEN){
	return -1;
  }
  /* sprintf(resNzgId,"/tmp/.nzg-%s",(char *)spaceId); */
#ifdef _NZG_REALFILEID
  sprintf(dest,"/tmp/nzgPoolData-%s",(char *)src);
#else
  sprintf(dest,"/nzgPoolData-%s",(char *)src);
#endif
  return 0;
}


int msgPoolIdIntern(msgPoolId dest,msgPoolId src, int num){
  if (strlen(src)>MSGSPACE_ID_LEN){
	return -1;
  }
#ifdef _NZG_REALFILEID
  sprintf(dest,"/tmp/nzgPool-%s-%d",(char *)src,num);
#else
  sprintf(dest,"/nzgPool-%s-%d",(char *)src,num);
#endif
  return 0;
}

int msgBufferInfoTabIdIntern(
	msgBufferInfoTabId dest,
	msgSpaceId src, 
	int num){
  if (strlen(src)>MSGSPACE_ID_LEN){
	return -1;
  }
#ifdef _NZG_REALFILEID
  sprintf(dest,"/tmp/nzgBufferInfo-%s-%d",(char *)src,num);
#else
  sprintf(dest,"/nzgBufferInfo-%s-%d",(char *)src,num);
#endif
  return 0;
}


#endif
