#ifndef _NZG_PROTO
#define _NZG_PROTO 1

/* nzg_allocate.c */
void *msgAllocate(msgSpace *space, int pool, int taille, int option);
/* nzg_bufferAttachProc.c */
int msgBufferAttachProc(msgPoolData *poolDataTabAddr, int poolIndex, int bufferIndex, void *addr);
/* nzg_buffer.c */
int msgBufferGetAttachedProcIndex(msgPoolData *poolDataTabAddr, int poolIndex, void *addr);
/* nzg_bufferDetachProc.c */
int msgBufferDetachProc(msgPoolData *poolDataTabAddr, int poolIndex, int bufferIndex, void *addr);
/* nzg_bufferGetFreeIndex.c */
int msgBufferGetFreeIndex(msgPoolData *poolDataTabAddr, int poolIndex);
/* nzg_bufferInfoTabCreate.c */
int msgBufferInfoTabCreate(msgSpaceId externId, msgPoolData *poolDataTabAddr, int poolIdx, int bufferNb);
/* nzg_bufferInfoTabInit.c */
int msgBufferInfoTabInit(msgPoolData *poolDataTabAddr, int poolIndex);
/* nzg_free.c */
int msgFree(msgSpace *space, void *addr);
/* nzg_ids.c */
int msgSpaceIdIntern(msgSpaceId dest, const msgSpaceId src);
int msgPoolSemIdIntern(msgPoolSemId destSemId, const msgSpaceId srcPoolId, int poolIdx);
int msgPoolDataIdIntern(msgPoolDataTabId dest, const msgSpaceId src);
int msgPoolIdIntern(msgPoolId dest, msgPoolId src, int num);
int msgBufferInfoTabIdIntern(msgBufferInfoTabId dest, msgSpaceId src, int num);
/* nzg_list.c */
/* nzg_msgList.c */
int msgSpaceListInit(void);
int msgSpaceListLock(void);
int msgSpaceListUnlock(void);
int msgSpaceListElemCreate(msgSpaceListElemId resultName, msgSpaceId spaceId);
/* nzg_poolCreate.c */
int msgPoolCreate(msgSpaceId externId, int poolIdx, int buffNb, int buffSize);
/* nzg_poolDelete.c */
int msgPoolDelete(msgSpaceId spaceId, int poolIdx);
/* nzg_spaceCreate.c */
msgSpace *msgSpaceCreate(msgSpaceId externId, int queueNb, int poolNb, msgPool *poolInfos);
/* nzg_spaceDelete.c */
int msgSpaceDelete(msgSpaceId externId);
/* nzg_spaceOpen.c */
msgSpace *msgSpaceOpen(msgSpaceId externId);
/* nzg_state.c */
int msgBufferGetProcAttach(
	msgPoolData * poolDataTabAddr,
	int poolNb,
	int * poolIndex,
	int * bufferIndex,
	void * addr
	);
#endif
