#include "libnazgul.h"
#include "nzg_ids.h"

/* prototypes des fonctions annexes  ne pas exporter */
int msgSpaceIdIntern(msgSpaceId dest,const msgSpaceId src );
int msgPoolDataIdIntern(msgSpaceId dest,const msgSpaceId src );
int msgPoolDataTabSemIdIntern(
	msgPoolSemId destSemId,const msgSpaceId externId);

int msgSpaceDelete(msgSpaceId externId){
  fprintf(stderr,"Deleting msgSpace with id : %s\n",externId);
  //int shmId;
  msgSpaceId nzgId;
  msgSpace * space;
  int i;
  if (msgSpaceIdIntern(nzgId,externId) == -1){
	//TODO: message d'erreur
	return -1;
  }

  space = msgSpaceOpen(externId);
  /* TODO: supprimer chaque pool */
 for (i=0;i<space->poolNb;i++){
   msgPoolDelete(externId,i);
 }
  printf("openned successfully !\n");
  printf("Unlinking DataTab... ");
  if (shm_unlink(space->poolDataTabId) < 0){
  	perror("shm_unlink");
	return -1;
  }
  printf("ok\n");
  
  printf("Unlinking DataTabSem... ");
  if (sem_unlink(space->poolDataTabSemId) < 0){
	NZG_ERROR("sem_unlink",space->poolDataTabSemId);
	return -1;
  }
  printf("ok\n");

  if (shm_unlink(nzgId)<0){
	perror("shm_unlink");
	return -1;
  };
  return 0;
}

